> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Imagine Video 1.5 视频生成 (官方通道)

> 通过官方渠道使用 Grok Imagine Video 1.5 生成视频，最高支持 1080p

> [!NOTE]
>
> **国内用户请注意：** 中国大陆用户请使用 `https://toapis.cn` 作为接口地址（Base URL）。文档示例中的 `https://toapis.com` 请替换为 `https://toapis.cn`。

* 官方渠道 Grok Imagine Video 1.5 视频生成模型
* 通过 model 参数选择 `grok-imagine-video-1.5-official` 模型
* 仅支持首帧图生视频——必须提供且仅提供一张输入图片
* 最高支持 1080p 输出
* 异步任务管理，通过任务 ID 查询结果

> [!WARNING]
>
> **重要变更**：为了更好的性能和成本控制，我们不再支持在 `reference_images` 中直接传入 base64 图片数据。请先使用 [上传图片接口](https://docs.toapis.com/docs/cn/api-reference/uploads/images.md) 上传图片，获取 URL 后再调用本接口。

## Authorizations

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 进行认证

获取 API Key：访问 [API Key 管理页面](https://toapis.com/console/token) 获取您的 API Key

使用时在请求头中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## Body

**model** `string` *required* (default: grok-imagine-video-1.5-official)

视频生成模型名称

支持的模型：

* `grok-imagine-video-1.5-official` - 官方渠道 Grok Imagine Video 1.5 模型

示例：`"grok-imagine-video-1.5-official"`

**prompt** `string` *required*

视频生成的文本描述

**image** `string` *required*

首帧图片 URL。**必填**——本模型仅支持单张输入图片的图生视频。仅支持公网可访问的 `http://` 或 `https://` URL。

**duration** `integer` (default: 8)

视频时长（秒）

支持范围：`1`–`15` 秒

**resolution** `string` (default: 720p)

视频分辨率

支持值：`480p`、`720p`、`1080p`

**aspect\_ratio** `string`

视频宽高比

支持格式：

* `16:9`（横屏）
* `9:16`（竖屏）
* `4:3`（横屏）
* `3:4`（竖屏）
* `3:2`（横屏）
* `2:3`（竖屏）
* `1:1`（方形）

**reference\_images** `string[]`

附加参考图片 URL 数组

**⚠️ 仅支持 URL 格式（已不再支持 base64）**

* 公网可访问的图片 URL（http\:// 或 https\://）
* `image` 与 `reference_images` 合计最多 7 张
* 请使用 [上传图片接口](https://docs.toapis.com/docs/cn/api-reference/uploads/images.md) 上传本地图片获取 URL

> [!NOTE]
>
> **计费说明**：输出按秒 × 分辨率档位计费。每张输入图片单独计费——本模型强制要求一张首帧图，因此每个任务都包含一次输入图片费用。本模型不支持视频延长。

## Response

**id** `string`

唯一任务标识，用于查询任务状态

**object** `string`

对象类型，始终为 `generation.task`

**model** `string`

使用的模型名称

**status** `string`

任务状态

* `queued` - 排队等待处理
* `in_progress` - 处理中
* `completed` - 已完成
* `failed` - 失败

**created\_at** `integer`

任务创建时间戳（Unix 时间戳）

**progress** `integer`

任务进度，提交后通常为 `0`

**metadata** `object`

任务元数据

```bash cURL theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "grok-imagine-video-1.5-official",
    "prompt": "镜头缓慢推近，女士开始说话",
    "image": "https://example.com/portrait.jpg",
    "duration": 8,
    "resolution": "1080p",
    "aspect_ratio": "16:9"
  }'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://toapis.com/v1/videos/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "grok-imagine-video-1.5-official",
        "prompt": "镜头缓慢推近，女士开始说话",
        "image": "https://example.com/portrait.jpg",
        "duration": 8,
        "resolution": "1080p",
        "aspect_ratio": "16:9"
    }
)

task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
```

```javascript JavaScript theme={null}
const response = await fetch('https://toapis.com/v1/videos/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'grok-imagine-video-1.5-official',
    prompt: '镜头缓慢推近，女士开始说话',
    image: 'https://example.com/portrait.jpg',
    duration: 8,
    resolution: '1080p',
    aspect_ratio: '16:9'
  })
});

const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
```

```json 200 theme={null}
{
  "id": "tsk_vid_01M59KZ8B8A4VKCBB7QGXQZV2E",
  "object": "generation.task",
  "model": "grok-imagine-video-1.5-official",
  "status": "queued",
  "progress": 0,
  "created_at": 1768380224,
  "metadata": {}
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.